<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Валюта')."";
ECHO "</div>";

IF (POST('ok')){
  
  $money = ADSL(POST('money'));
  $money_set = INTVAL(POST('money_set'));
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'MONEY', $money);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'MONEY_SET', $money_set);
  
  DB::GET_SET("UPDATE `USERS` SET `MONEY` = '".ABS(POST('my_money'))."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=money');

}

ECHO "<div class='fon'>";

ECHO "<font size='+1'>".LG('Ваш счет').": ".MONEY($user['MONEY'], CONFIG('MONEY'), 3)."</font>";

ECHO "</div>";

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Выберите валюту сайта').":</b><br />";
ECHO "<select name='money' class='form-control-select'>";

ECHO "<option value='RUB' ".(CONFIG('MONEY') == "RUB"?" selected='selected'" : NULL)."> ".LG('Российские рубли')." (RUB)</option>";
ECHO "<option value='BYN' ".(CONFIG('MONEY') == "BYN"?" selected='selected'" : NULL)."> ".LG('Белорусские рубли')." (BYN)</option>";
ECHO "<option value='UAH' ".(CONFIG('MONEY') == "UAH"?" selected='selected'" : NULL)."> ".LG('Украинские гривны')." (UAH)</option>";
ECHO "<option value='KZT' ".(CONFIG('MONEY') == "KZT"?" selected='selected'" : NULL)."> ".LG('Казахские тенге')." (KZT)</option>";
ECHO "<option value='UZS' ".(CONFIG('MONEY') == "UZS"?" selected='selected'" : NULL)."> ".LG('Узбекские сумы')." (UZS)</option>";
ECHO "<option value='AZN' ".(CONFIG('MONEY') == "AZN"?" selected='selected'" : NULL)."> ".LG('Азербайджанские манаты')." (AZN)</option>";
ECHO "<option value='GEL' ".(CONFIG('MONEY') == "GEL"?" selected='selected'" : NULL)."> ".LG('Грузинские лари')." (GEL)</option>";
ECHO "<option value='AMD' ".(CONFIG('MONEY') == "AMD"?" selected='selected'" : NULL)."> ".LG('Армянские драмы')." (AMD)</option>";
ECHO "<option value='TJS' ".(CONFIG('MONEY') == "TJS"?" selected='selected'" : NULL)."> ".LG('Таджикские сомони')." (TJS)</option>";
ECHO "<option value='KGS' ".(CONFIG('MONEY') == "KGS"?" selected='selected'" : NULL)."> ".LG('Киргизские сомы')." (KGS)</option>";
ECHO "<option value='TMT' ".(CONFIG('MONEY') == "TMT"?" selected='selected'" : NULL)."> ".LG('Туркменские манаты')." (TMT)</option>";
ECHO "<option value='MDL' ".(CONFIG('MONEY') == "MDL"?" selected='selected'" : NULL)."> ".LG('Молдавские леи')." (MDL)</option>";
ECHO "<option value='USD' ".(CONFIG('MONEY') == "USD"?" selected='selected'" : NULL)."> ".LG('Доллары')." (USD)</option>";
ECHO "<option value='EUR' ".(CONFIG('MONEY') == "EUR"?" selected='selected'" : NULL)."> ".LG('Евро')." (EUR)</option>";
ECHO "<option value='SLV' ".(CONFIG('MONEY') == "SLV"?" selected='selected'" : NULL)."> ".LG('Серебро')." (SLV)</option>";
ECHO "<option value='RBN' ".(CONFIG('MONEY') == "RBN"?" selected='selected'" : NULL)."> ".LG('Рубины')." (RBN)</option>";
ECHO "<option value='MON' ".(CONFIG('MONEY') == "MON"?" selected='selected'" : NULL)."> ".LG('Монеты')." (MON)</option>";
ECHO "<option value='VCS' ".(CONFIG('MONEY') == "VCS"?" selected='selected'" : NULL)."> ".LG('Голоса')." (VCS)</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Формат валюты').":</b><br />";
ECHO "<select name='money_set' class='form-control-select'>";

ECHO "<option value='0' ".(CONFIG('MONEY_SET') == 0?" selected='selected'" : NULL)."> ".LG('Обычный')."</option>";
ECHO "<option value='1' ".(CONFIG('MONEY_SET') == 1?" selected='selected'" : NULL)."> ".LG('Десятичный')."</option>";

ECHO "</select><br /><br />";

HTML::INPUT('my_money', 'Счет', 'Мой счет:', NULL, MONEY($user['MONEY'], CONFIG('MONEY'), 0), 'form-control-30');

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";